[EPIC] Prioritization tools for AfC and NPP
Closed, ResolvedPublic

Description

Full background and context can be found on the project page.

Challenge

ACPERM is a policy change that directs new editors in English Wikipedia to create drafts instead of new articles. This policy went into permanent effect on 2018-04-26, and is expected to increase traffic by a factor of 2.5x to Articles for Creation (AfC), which reviews submitted drafts and promotes qualified drafts to the main article space.

Goal

Given the increased workload, the goal is to maintain, or potentially improve, AfC's ability to get high quality articles into the main namespace quickly. We intend to measure three main things over time to ascertain impact, which are described in more detail on T192515:

  • Mainspace rate: what percent of submitted drafts are in the mainspace after 60 days?
  • Survival rate: what percent of articles that came from AfC are not nominated for deletion after 90 days?
  • Quality article waiting period: for drafts that were immediately accepted, how long did they have to wait for their first review?

Solution

After about four weeks of discussion with the AfC community, the group decided that the Community Tech team can help AfC achieve the above goal through tools that enable AfC reviewers to prioritize the set of submitted drafts for review using copyright violation and quality models. This will enable reviewers to address quality drafts soonest, or clear the worst drafts soonest. Specifically:

  • Extend the existing New Pages Feed interface currently employed by New Pages Patrol (NPP), so that it contains submitted drafts.
  • Add elements that show the Copyvio and ORES quality scores for each page awaiting review.
  • Make the feed sortable and filterable by those data elements.

This solution will also be extended to the NPP function, so that those reviewers can apply the scores to their prioritization.

Plan

The Community Tech team is beginning work in May 2018, and is planning to work on this project for six weeks. General updates will be posted to the project page, including opportunities for community members to weigh in on design plans.

Related Objects

StatusAssignedTask
ResolvedMMiller_WMF
ResolvedWhatamidoing-WMF
Opennettrom_WMF
ResolvedMMiller_WMF
ResolvedSamwilson
ResolvedMooeypoo
ResolvedSBisson
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson
ResolvedMMiller_WMF
ResolvedSBisson
ResolvedSamwilson
ResolvedSamwilson
ResolvedMusikAnimal
ResolvedMusikAnimal
DeclinedNone
ResolvedSamwilson
ResolvedMusikAnimal
ResolvedSBisson
DuplicateNone
ResolvedSBisson
Resolvedkostajh
ResolvedEtonkovidova
ResolvedCatrope
ResolvedSBisson
ResolvedSBisson
ResolvedMMiller_WMF
ResolvedSBisson
Resolvedkostajh
Resolvedkostajh
ResolvedSBisson
ResolvedMusikAnimal
ResolvedSBisson
ResolvedSBisson
ResolvedCatrope
ResolvedCatrope
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson
InvalidNone
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson
ResolvedMMiller_WMF
ResolvedMMiller_WMF
Resolvednettrom_WMF
ResolvedSBisson
ResolvedSBisson
DeclinedNone
ResolvedSBisson
ResolvedSBisson
DeclinedNone
ResolvedSBisson
ResolvedEtonkovidova
ResolvedSBisson
Resolvederanroz
ResolvedSBisson
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedSBisson
Resolvedkostajh
ResolvedMMiller_WMF
DeclinedMMiller_WMF
ResolvedCatrope
DeclinedNone
ResolvedCatrope
Resolvedkostajh
ResolvedCatrope
Resolvedkaldari
Resolvedkostajh
ResolvedSBisson
Resolvedkostajh
ResolvedSBisson
ResolvedMMiller_WMF
ResolvedSBisson
DeclinedMMiller_WMF
ResolvedSBisson
DuplicateNone
ResolvedSBisson
Resolvedkostajh
ResolvedSBisson
Invalidkostajh
Resolvedkostajh
ResolvedSBisson
There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2018, 7:00 PM
MMiller_WMF updated the task description. (Show Details)May 7 2018, 11:33 PM
SQL added a subscriber: SQL.May 30 2018, 2:49 AM
MaxSem removed a subscriber: MaxSem.Jun 27 2018, 9:46 PM
Vvjjkkii renamed this task from [EPIC] Prioritization tools for AfC and NPP to hodaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed MMiller_WMF as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot assigned this task to MMiller_WMF.
CommunityTechBot renamed this task from hodaaaaaaa to [EPIC] Prioritization tools for AfC and NPP.
CommunityTechBot added a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 2:35 AM
Niharika removed a subscriber: Niharika.Jul 12 2018, 4:43 PM
Catrope moved this task from Inbox to To Triage on the Growth-Team board.Aug 7 2018, 5:48 PM
MMiller_WMF moved this task from To Triage to Q1 2018-19 on the Growth-Team board.Aug 7 2018, 5:57 PM

We will keep this in the "Q1 2018-2019" column, since this is when the epic will get done.

JTannerWMF moved this task from Q1 2018-19 to Q2 2018-19 on the Growth-Team board.Sep 26 2018, 5:55 PM
MMiller_WMF closed this task as Resolved.Fri, Dec 7, 12:07 AM
MMiller_WMF moved this task from Incoming to Done on the Growth-Team (Current Sprint) board.

The major features on this project have been released for a month with no issues, and we have closed all 87 subtasks in this epic.

Our work on this project is complete! And I have:

  • Documented our work on the mediawiki.org page about Page Curation.
  • Added a final post to the project page, and left a note at the top of the page saying the project is complete.

Congratulations to all the members of the Community Tech and Growth teams who worked on this, and thank you to the community members who followed along, weighed in, and spent their volunteer time working to help build this feature.